Get a location's permanent limit and all priority profiles
curl --request GET \
--url https://api.ridergy.com/v1/locations/{locationId}/limits \
--header 'x-api-key: <api-key>'import requests
url = "https://api.ridergy.com/v1/locations/{locationId}/limits"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ridergy.com/v1/locations/{locationId}/limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"locationId": "3632155",
"permanentLimitKw": 100,
"effectiveLimitKw": 50,
"profiles": [
{
"priority": 5,
"limitKw": 50,
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or inactive API key",
"requestId": "b1f6e6b0-1234-4abc-9def-000000000000"
}
}{
"error": {
"code": "FEATURE_NOT_ENABLED",
"message": "The Energy Management API is not enabled for your account. Contact RiDERgy to enable this feature.",
"requestId": "b1f6e6b0-1234-4abc-9def-000000000000"
}
}{
"error": {
"code": "LOCATION_NOT_FOUND",
"message": "Location 123 was not found for the provided tenant",
"requestId": "b1f6e6b0-1234-4abc-9def-000000000000"
}
}Locations
Get a location's permanent limit and all priority profiles
Returns the location’s permanent fallback limit, the current effective
limit, and every priority profile (including expired and scheduled
ones) with a recomputed status.
GET
/
locations
/
{locationId}
/
limits
Get a location's permanent limit and all priority profiles
Authorizations
Per-tenant API key. Tenant is derived from the key — never from the request.
Path Parameters
⌘I

